%define realname xf86-input-xwiimote

Name:       x11-driver-input-xwiimote
Version:    0.5
Release:    %mkrel 6
Summary:    Linux WiiMote Driver for X
Group:      System/X11
License:    XWiimote
URL:        https://github.com/dvdhrm/xf86-input-xwiimote
Source:     https://github.com/dvdhrm/%{realname}/releases/download/%{realname}-%{version}/%{realname}-%{version}.tar.xz

BuildRequires:  x11-util-macros
BuildRequires:  x11-proto-devel
BuildRequires:  x11-server-devel
BuildRequires:  udev-devel
BuildRequires:  xwiimote-devel

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
xwiimote is a WiiMote Driver for X. 

%prep
%setup -q -n %{realname}-%{version}
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

# blacklist X11 rules
install -d -m 775 %{buildroot}%{_datadir}/X11/xorg.conf.d/
install -m 664 60-xorg-xwiimote.conf %{buildroot}%{_datadir}/X11/xorg.conf.d/

%files
%doc README
%{_libdir}/xorg/modules/input/xwiimote_drv.so
%{_libdir}/xorg/modules/input/xwiimote_drv.la
%{_datadir}/X11/xorg.conf.d/60-xorg-xwiimote.conf
%{_mandir}/man4/xorg-xwiimote.*



%changelog
* Thu Nov 17 2016 tv <tv> 0.5-6.mga6
+ Revision: 1067942
- rebuild for xserver 1.19 (though it should just work with libinput...)

* Sat Jul 23 2016 tmb <tmb> 0.5-5.mga6
+ Revision: 1043349
- rebuild for xorg-server 1.18.4

* Mon Feb 01 2016 umeabot <umeabot> 0.5-4.mga6
+ Revision: 930098
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-3.mga5
+ Revision: 738879
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-2.mga5
+ Revision: 690417
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 alien <alien> 0.5-1.mga5
+ Revision: 673211
- imported package x11-driver-input-xwiimote

